%{?nodejs_find_provides_and_requires}

Name:           nodejs-pgpass
Version:        0.0.3
Release:        3%{?dist}
Summary:        Module for reading .pgpass

License:        BSD
URL:            https://www.npmjs.com/package/pgpass
Source0:        https://registry.npmjs.org/pgpass/-/pgpass-%{version}.tgz
# https://github.com/hoegaarden/pgpass/pull/5
Source1:        nodejs-pgpass-license.txt
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

BuildRequires:  npm(mocha)
BuildRequires:  npm(pg-escape)
BuildRequires:  npm(resumer)
BuildRequires:  npm(split)
BuildRequires:  npm(tmp)


%description
This module tries to read the ~/.pgpass file (or the equivalent
for windows systems). If the environment variable PGPASSFILE is
set, this file is used instead. If everything goes right, the
password from said file is passed to the callback; if the password
cannot be read undefined is passed to the callback.


%prep
%autosetup -n package
cp %{SOURCE1} LICENSE
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/pgpass
cp -pr package.json lib %{buildroot}%{nodejs_sitelib}/pgpass
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
chmod 600 test/_pgpass
%{nodejs_sitelib}/mocha/bin/mocha -R list


%files
%{!?_licensedir:%global license %doc}
%doc README.md
%license LICENSE
%{nodejs_sitelib}/pgpass


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Dec  7 2015 Tom Hughes <tom@compton.nu> - 0.0.3-2
- Correct license

* Thu Dec  3 2015 Tom Hughes <tom@compton.nu> - 0.0.3-1
- Initial build of 0.0.3
